/*
 *	COMMON.H
 *	LaMoSca (LAboratorio di MOtori per SCAcchi)
 *	versione 0.02
 *	2001 Pietro Valocchi
 */


/* descrizione di una casa della scacchiera */
typedef struct {
	int Colore;
	int Pezzo;
} Casa;


/* descrizione di una mossa per una determinata posizione */
typedef struct {
	int Da;
	int A;
} Mossa;


/* costanti */
#define NUMEROCASE		64
#define CASEPERRIGA		8
#define NUMEROPEZZI		6
#define MAXMOSSE		1024


/* contenuto case */
#define BIANCO			0
#define NERO			1

#define PEDONE			0
#define CAVALLO			1
#define ALFIERE			2
#define TORRE			3
#define REGINA			4
#define RE				5

#define VUOTO			6


/* macro */
#define RIGA(x)			(x >> 3)
#define COLONNA(x)		(x & 7)

/* generali */
#define BOOL			int
#define TRUE			1
#define FALSE			0


/* prototipi di funzioni */
void Inizializza();
BOOL InputMossa(char *);
